# vite-react-app-cli

#### 介绍
vite结合react搭建的脚手架模板项目，内置了antd5，router6，axios，还有我自己封装的地图组件包等。本脚手架默认安装的是js版本的模板代码，如果要切换到ts，只需要name后带上ts即可。脚手架关联的代码模板会随着vite和react的版本以及各个npm包的版本进行迭代。

#### 使用步骤

### 1、全局安装
```
npm i vite4-react18-app-cli -g
```

### 2、构建项目

任意目录下执行如下命令即可（默认JS版）,其中vrcli为vite4-react18-app-cli的简写。

```
vrcli init vite-admin
```

### 3、构建过程

```
  __     ___ _             ____                 _          _                       ____ _ _  __        __   _            
 \ \   / (_) |_ ___      |  _ \ ___  __ _  ___| |_       / \   _ __  _ __        / ___| (_) \ \      / /__| | ___ ___  _ __ ___   ___
  \ \ / /| | __/ _ \_____| |_) / _ \/ _` |/ __| __|____ / _ \ | '_ \| '_ \ _____| |   | | |  \ \ /\ / / _ \ |/ __/ _ \| '_ ` _ \ / _ \
   \ V / | | ||  __/_____|  _ <  __/ (_| | (__| ||_____/ ___ \| |_) | |_) |_____| |___| | |   \ V  V /  __/ | (_| (_) | | | | | |  __/
    \_/  |_|\__\___|     |_| \_\___|\__,_|\___|\__|   /_/   \_\ .__/| .__/       \____|_|_|    \_/\_/ \___|_|\___\___/|_| |_| |_|\___|
                                                              |_|   |_|                                                 
创建项目：vite-admin
√ download......appleyk/vite4-react18-app-cli-template
安装依赖...
[..................] - idealTree:vite-admin: sill idealTree buildDeps

... ... ... ... ... ...
```
### 4、构建TS版本
如果需要ts环境的，只需要执行如下命令即可，即项目名称为vite-admin，语言模式为ts：

```
vrcli init vite-admin ts
```

```
 __     ___ _             ____                 _          _                       ____ _ _  __        __   _            
 \ \   / (_) |_ ___      |  _ \ ___  __ _  ___| |_       / \   _ __  _ __        / ___| (_) \ \      / /__| | ___ ___  _ __ ___   ___
  \ \ / /| | __/ _ \_____| |_) / _ \/ _` |/ __| __|____ / _ \ | '_ \| '_ \ _____| |   | | |  \ \ /\ / / _ \ |/ __/ _ \| '_ ` _ \ / _ \
   \ V / | | ||  __/_____|  _ <  __/ (_| | (__| ||_____/ ___ \| |_) | |_) |_____| |___| | |   \ V  V /  __/ | (_| (_) | | | | | |  __/
    \_/  |_|\__\___|     |_| \_\___|\__,_|\___|\__|   /_/   \_\ .__/| .__/       \____|_|_|    \_/\_/ \___|_|\___\___/|_| |_| |_|\___|
                                                              |_|   |_|                                                 
创建项目：vite-admin --ts
√ download......appleyk/vite4-react18-app-cli-template
安装依赖...
[..................] - idealTree:vite-admin: sill idealTree buildDeps
```

### 5、如需升级

如有需要升级脚手架模板或内置更多常用的代码模板，可在我的博客中留言：https://blog.csdn.net/Appleyk