#!/usr/bin/env node 

const program = require("commander");

/** 设置cli工具的版本号 */
program.version(require("../package.json").version);

program
  // 自定义执行的命令 (传入两个参数，一个是项目名称，一个是模板模式(可选参数))
  .command("init <name> [mode]")
  // 命令的描述
  .description("init:初始化命令;name：项目名称;mode：语言模式,不填则为JavaScript，填写ts则为TypeScript")
  // 命令执行之后执行的方法,直接链接到lib目录下的init.js文件
  .action(require("../lib/init"));

// 解析命令行参数
program.parse(process.argv);
